Copies timeline or timeline template
- Base URL
-
https://{kibana_url}
- POST /api/timeline/_copy
- POST /s/{space_id}/api/timeline/_copy
Copies and returns a timeline or timeline template.
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Request body
Source timeline id to copy plus timeline fields for the new saved object.
-
timelineobjectrequired -
excludedRowRendererIdsenum[]nullable -
A list of row renderers that should not be used when in
Event renderersmode -
Values:
alertalertsauditdauditd_filelibrarynetflowplainregistrysuricatasystemsystem_dnssystem_endgame_processsystem_filesystem_fimsystem_security_eventsystem_socketthreat_matchzeek -
indexNamesstring[]nullable -
A list of index names to use in the query (e.g. when the default data view has been modified)
-
kqlModestringnullable -
Indicates whether the KQL bar filters the query results or searches for additional results, where:
filter: filters query resultssearch: displays additional search results
-
templateTimelineIdstringnullable -
A unique ID (UUID) for Timeline templates. For Timelines, the value is
null.
Response
Indicates a successful call.
-
dataProvidersobject[]nullable -
Object containing query clauses
-
Same fields as
dataProvidersintimeline -
excludedRowRendererIdsenum[]nullable -
A list of row renderers that should not be used when in
Event renderersmode -
Values:
alertalertsauditdauditd_filelibrarynetflowplainregistrysuricatasystemsystem_dnssystem_endgame_processsystem_filesystem_fimsystem_security_eventsystem_socketthreat_matchzeek -
filtersobject[]nullable -
A list of filters that should be applied to the query
-
Same fields as
filtersintimeline -
indexNamesstring[]nullable -
A list of index names to use in the query (e.g. when the default data view has been modified)
-
kqlModestringnullable -
Indicates whether the KQL bar filters the query results or searches for additional results, where:
filter: filters query resultssearch: displays additional search results
-
templateTimelineIdstringnullable -
A unique ID (UUID) for Timeline templates. For Timelines, the value is
null. -
templateTimelineVersionnumbernullable -
Timeline template version number. For Timelines, the value is
null. -
pinnedEventIdsstring[]nullable -
A list of all the ids of pinned events that are associated to this Timeline.